Package com.zfabrik.impl.components.java.jdt

## Class NameEnvironmentImpl

- java.lang.Object
- - com.zfabrik.impl.components.java.jdt.NameEnvironmentImpl

- All Implemented Interfaces:
    `org.eclipse.jdt.internal.compiler.env.INameEnvironment`

      public class NameEnvironmentImpl
      extends java.lang.Object
      implements org.eclipse.jdt.internal.compiler.env.INameEnvironment

  Input to the jdt compiler. A name env provides classes to link to, sources to compile...

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameEnvironmentImpl​(java.lang.ClassLoader cl, java.lang.String encoding, java.io.File... sourceFolders)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |
    `static java.lang.String` | `concat​(char[][] compoundName, char separator)` |
    `org.eclipse.jdt.internal.compiler.env.NameEnvironmentAnswer` | `findType​(char[][] compoundName)` |
    `org.eclipse.jdt.internal.compiler.env.NameEnvironmentAnswer` | `findType​(char[] typeName, char[][] packageName)` |
    `boolean` | `isPackage​(char[][] parentCompoundName, char[] packageName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameEnvironmentImpl

          public NameEnvironmentImpl​(java.lang.ClassLoader cl,
                                     java.lang.String encoding,
                                     java.io.File... sourceFolders)

  - ### Method Detail

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `org.eclipse.jdt.internal.compiler.env.INameEnvironment`

    - #### findType

          public org.eclipse.jdt.internal.compiler.env.NameEnvironmentAnswer findType​(char[][] compoundName)

      Specified by:
        `findType` in interface `org.eclipse.jdt.internal.compiler.env.INameEnvironment`

    - #### findType

          public org.eclipse.jdt.internal.compiler.env.NameEnvironmentAnswer findType​(char[] typeName,
                                                                                      char[][] packageName)

      Specified by:
        `findType` in interface `org.eclipse.jdt.internal.compiler.env.INameEnvironment`

    - #### isPackage

          public boolean isPackage​(char[][] parentCompoundName,
                                   char[] packageName)

      Specified by:
        `isPackage` in interface `org.eclipse.jdt.internal.compiler.env.INameEnvironment`

    - #### concat

          public static java.lang.String concat​(char[][] compoundName,
                                                char separator)